Subject: Re: [xml2rfc-dev] It is my understanding that there may some major revisions to the XML2RFC tools forthcoming

From: Tony Hansen <[email-masked]>
Date: Mon, 10 Jan 2011 17:41:21 -0500

What text to epub formatters are there available for linux boxes? Or 
html to epub?

I know that enscript exists for converting to postscript and rtf, and 
ps2pdf can then generate pdf. What can generate epub?

It should be simple enough to add such capabilities to the online form.

Adding such capabilities to the xml2rfc program itself would be much harder.

     Tony Hansen

On 1/10/2011 4:38 PM, Richard Shockey wrote:
>
> May I make a minor suggestion... I know its not spring and the 
> daffodils are not in bloom but it might be nice if a possible output 
> file for the XML2RFC tools were in .epub as well as .pdf
>
> Thank you for your attention. No need to flame.
>
> We will now return you to your regularly schedule program.
>

---

From: "Richard Shockey" <[email-masked]>
Date: Mon, 10 Jan 2011 18:12:31 -0500

I can convert txt to epub via Stanza all the time and do.  I understand that
Calibre also works on multiple formats . I don't know if they have a script
interface. My point is frankly larger.  .epub is the perfect format for text
readers of all form factors.  Frankly I wish the IETF would adopt it as the
default.  I aware of lots of plug in's to the browser as well.  I have one
for Mozilla.

I also wouldn't mind inviting the entire .epub community to come to the IETF
and form a working group to formally standardize the format as we did with
XMPP. 

From: Tony Hansen [mailto:[email-masked]] 
Sent: Monday, January 10, 2011 5:41 PM
To: XML Developer List
Cc: Richard Shockey
Subject: Re: It is my understanding that there may some major revisions to
the XML2RFC tools forthcoming

What text to epub formatters are there available for linux boxes? Or html to
epub?

I know that enscript exists for converting to postscript and rtf, and ps2pdf
can then generate pdf. What can generate epub?

    Tony Hansen

May I make a minor suggestion. I know its not spring and the daffodils are
not in bloom but it might be nice if a possible output file for the XML2RFC
tools were in .epub as well as .pdf

---

From: Julian Reschke <[email-masked]>
Date: Tue, 11 Jan 2011 09:31:13 +0100

On 11.01.2011 00:12, Richard Shockey wrote:
> I can convert txt to epub via Stanza all the time and do. I understand
> that Calibre also works on multiple formats . I don’t know if they have
> a script interface. My point is frankly larger. .epub is the perfect
> format for text readers of all form factors. Frankly I wish the IETF
> would adopt it as the default. I aware of lots of plug in’s to the
> browser as well. I have one for Mozilla.

EpUb is HTML, + metadata, in a ZIP container.

I have a script for that (that will handle the RFC metadata better than 
the generic tools); the only issue I'm aware of is that it's not trying 
to create chapters, causing problems on underpowered epub readers.

> I also wouldn’t mind inviting the entire .epub community to come to the
> IETF and form a working group to formally standardize the format as we
> did with XMPP.

They are doing that somewhere else... -> 
<http://www.idpf.org/idpf_groups/IDPF-EPUB-WG-Charter-4-6-2010.html>

I personally would have wished that these people join the W3C HTML WG, 
bringing in a non-browser perspective.

Best regards, Julian

---

From: Julian Reschke <[email-masked]>
Date: Tue, 11 Jan 2011 16:09:05 +0100

On 11.01.2011 16:02, Richard Shockey wrote:
> ...
> Has anyone ever asked them?
>
> W3C would be a excellent idea as well .. I'm a little nervous when you have
> such a closed group as idpf working on such a important standard. Open peer
> review at this stage in .epub development would be a "good thing" tm.
> ...

We had a epub related session at the HTML WG face-to-face meeting in 
Lyon, with the chair of the epub WG on the phone.

I dunno why they do not participate directly...

Best regards, Julian

---

From: "Richard Shockey" <[email-masked]>
Date: Tue, 11 Jan 2011 10:02:10 -0500

On 11.01.2011 00:12, Richard Shockey wrote:
> that Calibre also works on multiple formats . I don't know if they have
> would adopt it as the default. I aware of lots of plug in's to the

Right LZW if I recall.

> I also wouldn't mind inviting the entire .epub community to come to the

********

Best regards, Julian